import request from '@/config/axios'

export type FundVO = {
  id: number
  status: number
  type: number
  applyAmount:number
  reason: string
  processInstanceId: string
  startTime: string
  endTime: string
  createTime: string
}

// 创建资金申请
export const createFundApply = async (data: FundVO) => {
  return await request.post({ url: '/bpm/fund/apply/apply-create', data: data })
}

// 获得资金申请
export const getFundApply = async (id: number) => {
  return await request.get({ url: '/bpm/fund/apply/get?id=' + id })
}

// 获得资金申请分页
export const getFundApplyPage = async (params: PageParam) => {
  return await request.get({ url: '/bpm/fund/apply/page', params })
}
