import request from '@/config/axios'

// 图标管理 VO
export interface TwinModelsVO {
  id: number // 编号
  modelName: string // 图标名称

  modelPath: string // 图标路径

  imagePath: string // 图标图片路径
  thumbnailPath: string // 缩略图路径
  description: string // 图标描述
  modelType: number // 图标类型
  status: number // 图标状态

  tenantId: number // 是否为公共图标
}

// 图标管理 API
export const TwinModelIconApi = {
  // 查询图标管理分页
  getTwinModelsPage: async (params: any) => {
    return await request.get({ url: `/gismodel/twin-models/pageIcon`, params })
  },

  // 查询图标管理详情
  getTwinModels: async (id: number) => {
    return await request.get({ url: `/gismodel/twin-models/getIcon?id=` + id })
  },

  // 新增图标管理
  createTwinModels: async (data: TwinModelsVO) => {
    return await request.post({ url: `/gismodel/twin-models/createIcon`, data })
  },

  // 修改图标管理
  updateTwinModels: async (data: TwinModelsVO) => {
    return await request.put({ url: `/gismodel/twin-models/update`, data })
  },

  // 删除图标管理
  deleteTwinModels: async (id: number) => {
    return await request.delete({ url: `/gismodel/twin-models/delete?id=` + id })
  },

  // 导出图标管理 Excel
  exportTwinModels: async (params) => {
    return await request.download({ url: `/gismodel/twin-models/export-iconExcel`, params })
  },
}
