import request from '@/config/axios'

// 矢量图层表单属性 VO
export interface FormVectorAttributesVO {
  id: number // 编号
  parentId: number // 父级编号
  rgb: number // 图层颜色
  attributes: string // 属性数据
  description: string // 数据描述或摘要
  fileFormat: number // 文件格式
  urlAddress: string // url地址
  fileAddress: string // 文件地址
  layername: number // 图层名
}

// 矢量图层表单属性 API
export const FormVectorAttributesApi = {
  // 查询矢量图层表单属性分页
  getFormVectorAttributesPage: async (params: any) => {
    return await request.get({ url: `/layer/form-vector-attributes/page`, params })
  },

  // 查询矢量图层表单属性详情
  getFormVectorAttributes: async (id: number) => {
    return await request.get({ url: `/layer/form-vector-attributes/get?id=` + id })
  },

  // 新增矢量图层表单属性
  createFormVectorAttributes: async (data: FormVectorAttributesVO) => {
    return await request.post({ url: `/layer/form-vector-attributes/create`, data })
  },

  // 修改矢量图层表单属性
  updateFormVectorAttributes: async (data: FormVectorAttributesVO) => {
    return await request.put({ url: `/layer/form-vector-attributes/update`, data })
  },

  // 删除矢量图层表单属性
  deleteFormVectorAttributes: async (id: number) => {
    return await request.delete({ url: `/layer/form-vector-attributes/delete?id=` + id })
  },

  // 导出矢量图层表单属性 Excel
  exportFormVectorAttributes: async (params) => {
    return await request.download({ url: `/layer/form-vector-attributes/export-excel`, params })
  },
}
